__gnu_profile::__trace_base< __object_info, __stack_info > Class Template Reference

`#include <profiler_trace.h>`

## Public Member Functions

__object_info * | __add_object (__stack_t __stack)
void | __collect_warnings (__warning_vector_t &__warnings)
void | __free ()
void | __retire_object (__object_info *__info)
void | __write (FILE *__f)

## Protected Attributes

const char * | __id

## Detailed Description

template<typename __object_info, typename __stack_info>
class __gnu_profile::__trace_base< __object_info, __stack_info >

Base class for all trace producers.

Definition at line 190 of file profiler_trace.h.

## Constructor & Destructor Documentation

## __trace_base()

template<typename __object_info , typename __stack_info >

__gnu_profile::__trace_base< __object_info, __stack_info >::__trace_base | ( |  | ) |

inline

Definition at line 195 of file profiler_trace.h.

## ~__trace_base()

template<typename __object_info , typename __stack_info >

__gnu_profile::__trace_base< __object_info, __stack_info >::~__trace_base | ( |  | ) |

inline

Definition at line 199 of file profiler_trace.h.

## Member Function Documentation

## __add_object()

template<typename __object_info , typename __stack_info >

__object_info * __gnu_profile::__trace_base< __object_info, __stack_info >::__add_object | ( | __stack_t | __stack | ) |

Definition at line 227 of file profiler_trace.h.

## __collect_warnings()

template<typename __object_info , typename __stack_info >

void __gnu_profile::__trace_base< __object_info, __stack_info >::__collect_warnings | ( | __warning_vector_t & | __warnings | ) |

Definition at line 312 of file profiler_trace.h.

## __retire_object()

template<typename __object_info , typename __stack_info >

void __gnu_profile::__trace_base< __object_info, __stack_info >::__retire_object | ( | __object_info * | __info | ) |

Definition at line 255 of file profiler_trace.h.

## __write()

template<typename __object_info , typename __stack_info >

void __gnu_profile::__trace_base< __object_info, __stack_info >::__write | ( | FILE * | __f | ) |

Definition at line 295 of file profiler_trace.h.

## Member Data Documentation

## __id

template<typename __object_info , typename __stack_info >

const char* __gnu_profile::__trace_base< __object_info, __stack_info >::__id

protected

Definition at line 222 of file profiler_trace.h.

The documentation for this class was generated from the following file:

- profiler_trace.h